Subject: Petunia axillaris

From: "G. Bisco" <[email-masked]>
Date: 29 Mar 1995 12:27:36 GMT

I am looking for a source for Petunia axillaris seed. Bailey Hortorium's
plant search service found one commercial source, Far North Gardens,
but it turns out that source is out of stock. Perhaps a botanical garden
has it. Thanks for any leads on a source for this plant. 

By the way, I'd be interested if you happen to know of sources for 
other species petunias, too (other than P. violacea or P. integrifolia,
which I have). Thanks!